Package fr.gouv.vitam.batch.report.model

# Class ReportSummary

java.lang.Object
fr.gouv.vitam.batch.report.model.ReportSummary

public class ReportSummary extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportSummary()`
  `ReportSummary(String startDate, String endDate, ReportType reportType, ReportResults vitamResults, com.fasterxml.jackson.databind.JsonNode extendedInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEvEndDateTime()`
  `String`
  `getEvStartDateTime()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getExtendedInfo()`
  `ReportType`
  `getReportType()`
  `ReportResults`
  `getVitamResults()`
  `void`
  `setEvEndDateTime(String evEndDateTime)`
  `void`
  `setEvStartDateTime(String evStartDateTime)`
  `void`
  `setExtendedInfo(com.fasterxml.jackson.databind.JsonNode extendedInfo)`
  `void`
  `setReportType(ReportType reportType)`
  `void`
  `setVitamResults(ReportResults vitamResults)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportSummary

    public ReportSummary()

  - ### ReportSummary

    public ReportSummary(String startDate, String endDate, ReportType reportType, ReportResults vitamResults, com.fasterxml.jackson.databind.JsonNode extendedInfo)

- ## Method Details

  - ### getEvStartDateTime

    public String getEvStartDateTime()

  - ### setEvStartDateTime

    public void setEvStartDateTime(String evStartDateTime)

  - ### getEvEndDateTime

    public String getEvEndDateTime()

  - ### setEvEndDateTime

    public void setEvEndDateTime(String evEndDateTime)

  - ### getReportType

    public ReportType getReportType()

  - ### setReportType

    public void setReportType(ReportType reportType)

  - ### getVitamResults

    public ReportResults getVitamResults()

  - ### setVitamResults

    public void setVitamResults(ReportResults vitamResults)

  - ### getExtendedInfo

    public com.fasterxml.jackson.databind.JsonNode getExtendedInfo()

  - ### setExtendedInfo

    public void setExtendedInfo(com.fasterxml.jackson.databind.JsonNode extendedInfo)